org.apache.tinkerpop.gremlin.tinkergraph.structure

## Class TinkerHelper

- java.lang.Object
- - org.apache.tinkerpop.gremlin.tinkergraph.structure.TinkerHelper

-     public final class TinkerHelper
      extends Object

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static Edge` | `addEdge(TinkerGraph graph, TinkerVertex outVertex, TinkerVertex inVertex, String label, Object... keyValues)`
    `protected static void` | `addInEdge(TinkerVertex vertex, String label, Edge edge)`
    `protected static void` | `addOutEdge(TinkerVertex vertex, String label, Edge edge)`
    `static void` | `autoUpdateIndex(TinkerEdge edge, String key, Object newValue, Object oldValue)`
    `static void` | `autoUpdateIndex(TinkerVertex vertex, String key, Object newValue, Object oldValue)`
    `static TinkerGraphComputerView` | `createGraphComputerView(TinkerGraph graph, GraphFilter graphFilter, Set<VertexComputeKey> computeKeys)`
    `static void` | `dropGraphComputerView(TinkerGraph graph)`
    `static Map<Object,Edge>` | `getEdges(TinkerGraph graph)`
    `static Iterator<TinkerEdge>` | `getEdges(TinkerVertex vertex, Direction direction, String... edgeLabels)`
    `static TinkerGraphComputerView` | `getGraphComputerView(TinkerGraph graph)`
    `static Map<String,List<VertexProperty>>` | `getProperties(TinkerVertex vertex)`
    `static Map<Object,Vertex>` | `getVertices(TinkerGraph graph)`
    `static Iterator<TinkerVertex>` | `getVertices(TinkerVertex vertex, Direction direction, String... edgeLabels)`
    `static boolean` | `inComputerMode(TinkerGraph graph)`
    `static List<TinkerEdge>` | `queryEdgeIndex(TinkerGraph graph, String key, Object value)`
    `static List<TinkerVertex>` | `queryVertexIndex(TinkerGraph graph, String key, Object value)`
    `static void` | `removeElementIndex(TinkerEdge edge)`
    `static void` | `removeElementIndex(TinkerVertex vertex)`
    `static void` | `removeIndex(TinkerEdge edge, String key, Object value)`
    `static void` | `removeIndex(TinkerVertex vertex, String key, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addEdge

          protected static Edge addEdge(TinkerGraph graph,
                                        TinkerVertex outVertex,
                                        TinkerVertex inVertex,
                                        String label,
                                        Object... keyValues)

    - #### addOutEdge

          protected static void addOutEdge(TinkerVertex vertex,
                                           String label,
                                           Edge edge)

    - #### addInEdge

          protected static void addInEdge(TinkerVertex vertex,
                                          String label,
                                          Edge edge)

    - #### queryVertexIndex

          public static List<TinkerVertex> queryVertexIndex(TinkerGraph graph,
                                                            String key,
                                                            Object value)

    - #### queryEdgeIndex

          public static List<TinkerEdge> queryEdgeIndex(TinkerGraph graph,
                                                        String key,
                                                        Object value)

    - #### inComputerMode

          public static boolean inComputerMode(TinkerGraph graph)

    - #### createGraphComputerView

          public static TinkerGraphComputerView createGraphComputerView(TinkerGraph graph,
                                                                        GraphFilter graphFilter,
                                                                        Set<VertexComputeKey> computeKeys)

    - #### getGraphComputerView

          public static TinkerGraphComputerView getGraphComputerView(TinkerGraph graph)

    - #### dropGraphComputerView

          public static void dropGraphComputerView(TinkerGraph graph)

    - #### getProperties

          public static Map<String,List<VertexProperty>> getProperties(TinkerVertex vertex)

    - #### autoUpdateIndex

          public static void autoUpdateIndex(TinkerEdge edge,
                                             String key,
                                             Object newValue,
                                             Object oldValue)

    - #### autoUpdateIndex

          public static void autoUpdateIndex(TinkerVertex vertex,
                                             String key,
                                             Object newValue,
                                             Object oldValue)

    - #### removeElementIndex

          public static void removeElementIndex(TinkerVertex vertex)

    - #### removeElementIndex

          public static void removeElementIndex(TinkerEdge edge)

    - #### removeIndex

          public static void removeIndex(TinkerVertex vertex,
                                         String key,
                                         Object value)

    - #### removeIndex

          public static void removeIndex(TinkerEdge edge,
                                         String key,
                                         Object value)

    - #### getEdges

          public static Iterator<TinkerEdge> getEdges(TinkerVertex vertex,
                                                      Direction direction,
                                                      String... edgeLabels)

    - #### getVertices

          public static Iterator<TinkerVertex> getVertices(TinkerVertex vertex,
                                                           Direction direction,
                                                           String... edgeLabels)

    - #### getVertices

          public static Map<Object,Vertex> getVertices(TinkerGraph graph)

    - #### getEdges

          public static Map<Object,Edge> getEdges(TinkerGraph graph)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.